# Uses of Class
org.apache.zookeeper.server.quorum.LearnerHandler

Packages that use LearnerHandler
Package
Description
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.quorum.flexible

## Uses of LearnerHandler in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that return types with arguments of type LearnerHandler
Modifier and Type
Method
Description
`List<LearnerHandler>`
Leader.`getForwardingFollowers()`
Returns a copy of the current forwarding follower snapshot
`List<LearnerHandler>`
Leader.`getLearners()`
Returns a copy of the current learner snapshot
`List<LearnerHandler>`
Leader.`getNonVotingFollowers()`
`List<LearnerHandler>`
Leader.`getObservingLearners()`
Returns a copy of the current observer snapshot
Methods in org.apache.zookeeper.server.quorum with parameters of type LearnerHandler
Modifier and Type
Method
Description
`void`
Leader.`addLearnerHandler(LearnerHandler learner)`
Adds peer to the leader.
`void`
ObserverMaster.`addLearnerHandler(LearnerHandler learnerHandler)`
`void`
Leader.`registerLearnerHandlerBean(LearnerHandler learnerHandler, Socket socket)`
`void`
ObserverMaster.`registerLearnerHandlerBean(LearnerHandler learnerHandler, Socket socket)`
`void`
Leader.`removeLearnerHandler(LearnerHandler peer)`
Remove the learner from the learner list
`void`
ObserverMaster.`removeLearnerHandler(LearnerHandler learnerHandler)`
`void`
Leader.`revalidateSession(QuorumPacket qp, LearnerHandler learnerHandler)`
`void`
ObserverMaster.`revalidateSession(QuorumPacket qp, LearnerHandler learnerHandler)`
`long`
Leader.`startForwarding(LearnerHandler handler, long lastSeenZxid)`
lets the leader know that a follower is capable of following and is done syncing
`long`
ObserverMaster.`startForwarding(LearnerHandler learnerHandler, long lastSeenZxid)`
`void`
Leader.`unregisterLearnerHandlerBean(LearnerHandler learnerHandler)`
`void`
ObserverMaster.`unregisterLearnerHandlerBean(LearnerHandler learnerHandler)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type LearnerHandler
Modifier
Constructor
Description
``
`LearnerHandlerBean(LearnerHandler learnerHandler, Socket socket)`
``
`LearnerSyncRequest(LearnerHandler fh, long sessionId, int xid, int type, RequestRecord request, List<Id> authInfo)`

## Uses of LearnerHandler in org.apache.zookeeper.server.quorum.flexible

Method parameters in org.apache.zookeeper.server.quorum.flexible with type arguments of type LearnerHandler
Modifier and Type
Method
Description
`boolean`
QuorumOracleMaj.`overrideQuorumDecision(List<LearnerHandler> forwardingFollowers)`
`default boolean`
QuorumVerifier.`overrideQuorumDecision(List<LearnerHandler> forwardingFollowers)`
`boolean`
QuorumOracleMaj.`updateNeedOracle(List<LearnerHandler> forwardingFollowers)`
`default boolean`
QuorumVerifier.`updateNeedOracle(List<LearnerHandler> forwardingFollowers)`